Index: /CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/Chistorical/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/Chistorical/COMP/lmdz.card	(revision 2261)
+++ /CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/Chistorical/COMP/lmdz.card	(revision 2262)
@@ -91,5 +91,5 @@
 [OutputText]
 List=   (physiq.def, gcm.def, run.def, traceur.def, guide.def, config.def, used_run.def)
-#List=   (lmdz.x.prt)
+#List=   (LMDZ.prt)
 
 [OutputFiles]
Index: /CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/CpiControl/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/CpiControl/COMP/lmdz.card	(revision 2261)
+++ /CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/CpiControl/COMP/lmdz.card	(revision 2262)
@@ -85,5 +85,5 @@
 [OutputText]
 List=   (physiq.def, gcm.def, run.def, traceur.def, guide.def, config.def, used_run.def)
-#List=   (lmdz.x.prt)
+#List=   (LMDZ.prt)
 
 [OutputFiles]
Index: /CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/EXP00/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/EXP00/COMP/lmdz.card	(revision 2261)
+++ /CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/EXP00/COMP/lmdz.card	(revision 2262)
@@ -80,5 +80,5 @@
 [OutputText]
 List=   (physiq.def, gcm.def, run.def, traceur.def, guide.def, config.def, used_run.def)
-#List=   (lmdz.x.prt)
+#List=   (LMDZ.prt)
 
 [OutputFiles]
Index: /CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/decadal/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/decadal/COMP/lmdz.card	(revision 2261)
+++ /CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/decadal/COMP/lmdz.card	(revision 2262)
@@ -90,5 +90,5 @@
 [OutputText]
 List=   (physiq.def, gcm.def, run.def, traceur.def, guide.def, config.def, used_run.def)
-#List=   (lmdz.x.prt)
+#List=   (LMDZ.prt)
 
 [OutputFiles]
Index: /CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/historical/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/historical/COMP/lmdz.card	(revision 2261)
+++ /CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/historical/COMP/lmdz.card	(revision 2262)
@@ -88,5 +88,5 @@
 [OutputText]
 List=   (physiq.def, gcm.def, run.def, traceur.def, guide.def, config.def, used_run.def)
-#List=   (lmdz.x.prt)
+#List=   (LMDZ.prt)
 
 [OutputFiles]
Index: /CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/piControl/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/piControl/COMP/lmdz.card	(revision 2261)
+++ /CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/piControl/COMP/lmdz.card	(revision 2262)
@@ -79,5 +79,5 @@
 [OutputText]
 List=   (physiq.def, gcm.def, run.def, traceur.def, guide.def, config.def, used_run.def)
-#List=   (lmdz.x.prt)
+#List=   (LMDZ.prt)
 
 [OutputFiles]
Index: /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/PARAM/namcouple_ORCA2xLMD144142
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/PARAM/namcouple_ORCA2xLMD144142	(revision 2261)
+++ /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/PARAM/namcouple_ORCA2xLMD144142	(revision 2262)
@@ -52,5 +52,5 @@
 #
  $NBMODEL
-  2  lmdz.x oceanx
+  2  LMDZ oceanx
  $END
 ###############################################################################
Index: /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/PARAM/namcouple_ORCA2xLMD5655
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/PARAM/namcouple_ORCA2xLMD5655	(revision 2261)
+++ /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/PARAM/namcouple_ORCA2xLMD5655	(revision 2262)
@@ -52,5 +52,5 @@
 #
  $NBMODEL
-  2  lmdz.x oceanx
+  2  LMDZ oceanx
  $END
 ###############################################################################
Index: /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/PARAM/namcouple_ORCA2xLMD9671
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/PARAM/namcouple_ORCA2xLMD9671	(revision 2261)
+++ /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/PARAM/namcouple_ORCA2xLMD9671	(revision 2262)
@@ -52,5 +52,5 @@
 #
  $NBMODEL
-  2  lmdz.x oceanx
+  2  LMDZ oceanx
  $END
 ###############################################################################
Index: /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/PARAM/namcouple_ORCA2xLMD9695
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/PARAM/namcouple_ORCA2xLMD9695	(revision 2261)
+++ /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/PARAM/namcouple_ORCA2xLMD9695	(revision 2262)
@@ -52,5 +52,5 @@
 #
  $NBMODEL
-  2  lmdz.x oceanx
+  2  LMDZ oceanx
  $END
 ###############################################################################