Index: /CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/GENERAL/DRIVER/lmdz.driver	(revision 2287)
+++ /CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/GENERAL/DRIVER/lmdz.driver	(revision 2288)
@@ -324,10 +324,33 @@
 
     ## gcm.def parameters : 
-    # Modification only for new physics
-    if [ X${LMDZ_Physics} = X"NPv3.1" ] ; then
+    # Modification for timestep in physics due to differnt type of physics
+    # To know the time step in minutes the physics part of LMDZ use: 1440/day_step*ipysiq/nsplit_phys
+    if [ X${LMDZ_Physics} = X"NPv3.1" ] && [ ${RESOL_ATM_3D} = 96x95x39 ] ; then
+        # Time step in physics: 7.5min
 	LMDZ_sed gcm.def iphysiq     5
-    else
+    elif [ X${LMDZ_Physics} = X"NPv3.1" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
+        # Time step in physics: 8min
+	LMDZ_sed gcm.def iphysiq     8
+    elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 96x95x39 ] ; then
+        # Time step in physics: 9min
+	LMDZ_sed gcm.def iphysiq     3
+    elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
+        # Time step in physics: 8min
+	LMDZ_sed gcm.def iphysiq     4
+    elif [ X${LMDZ_Physics} = X"AP" ] ; then
+        # Time step in physics: 30min
+        # Use default value for old physics
 	LMDZ_sed_default gcm.def iphysiq
-    fi
+    else
+        # Warning this combination has not been prepared 
+	echo ""
+	echo "WARNING!! LMDZ_Physics=${LMDZ_Physics} has not been tested with resolution ${RESOL_ATM_3D}."
+	echo " => The default timestep for iphysiq will be used. "
+	echo " => You can change the default time step in gcm.def_${RESOL_ATM_3D} but be carefull to keep the syntax: iphysiq=_AUTO_ : DEFAULT = new_value"
+	echo " => Calculate new time step in minutes in the physics of LMDZ as : 1440/day_step*ipysiq/nsplit_phys"
+	LMDZ_sed_default gcm.def iphysiq
+	echo ""
+    fi
+    
 
 
Index: /CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/GENERAL/PARAM/physiq.def_L39_NPv3.2
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/GENERAL/PARAM/physiq.def_L39_NPv3.2	(revision 2287)
+++ /CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/GENERAL/PARAM/physiq.def_L39_NPv3.2	(revision 2288)
@@ -129,4 +129,4 @@
 alp_offset=0.
 
-nsplit_phys=2
+nsplit_phys=1
 
Index: /CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/GENERAL/DRIVER/lmdz.driver	(revision 2287)
+++ /CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/GENERAL/DRIVER/lmdz.driver	(revision 2288)
@@ -324,10 +324,33 @@
 
     ## gcm.def parameters : 
-    # Modification only for new physics
-    if [ X${LMDZ_Physics} = X"NPv3.1" ] ; then
+    # Modification for timestep in physics due to differnt type of physics
+    # To know the time step in minutes the physics part of LMDZ use: 1440/day_step*ipysiq/nsplit_phys
+    if [ X${LMDZ_Physics} = X"NPv3.1" ] && [ ${RESOL_ATM_3D} = 96x95x39 ] ; then
+        # Time step in physics: 7.5min
 	LMDZ_sed gcm.def iphysiq     5
-    else
+    elif [ X${LMDZ_Physics} = X"NPv3.1" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
+        # Time step in physics: 8min
+	LMDZ_sed gcm.def iphysiq     8
+    elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 96x95x39 ] ; then
+        # Time step in physics: 9min
+	LMDZ_sed gcm.def iphysiq     3
+    elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
+        # Time step in physics: 8min
+	LMDZ_sed gcm.def iphysiq     4
+    elif [ X${LMDZ_Physics} = X"AP" ] ; then
+        # Time step in physics: 30min
+        # Use default value for old physics
 	LMDZ_sed_default gcm.def iphysiq
-    fi
+    else
+        # Warning this combination has not been prepared 
+	echo ""
+	echo "WARNING!! LMDZ_Physics=${LMDZ_Physics} has not been tested with resolution ${RESOL_ATM_3D}."
+	echo " => The default timestep for iphysiq will be used. "
+	echo " => You can change the default time step in gcm.def_${RESOL_ATM_3D} but be carefull to keep the syntax: iphysiq=_AUTO_ : DEFAULT = new_value"
+	echo " => Calculate new time step in minutes in the physics of LMDZ as : 1440/day_step*ipysiq/nsplit_phys"
+	LMDZ_sed_default gcm.def iphysiq
+	echo ""
+    fi
+    
 
 
Index: /CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/GENERAL/PARAM/physiq.def_L39_NPv3.2
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/GENERAL/PARAM/physiq.def_L39_NPv3.2	(revision 2287)
+++ /CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/GENERAL/PARAM/physiq.def_L39_NPv3.2	(revision 2288)
@@ -129,4 +129,4 @@
 alp_offset=0.
 
-nsplit_phys=2
+nsplit_phys=1
 
Index: /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/DRIVER/lmdz.driver	(revision 2287)
+++ /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/DRIVER/lmdz.driver	(revision 2288)
@@ -324,10 +324,33 @@
 
     ## gcm.def parameters : 
-    # Modification only for new physics
-    if [ X${LMDZ_Physics} = X"NPv3.1" ] ; then
+    # Modification for timestep in physics due to differnt type of physics
+    # To know the time step in minutes the physics part of LMDZ use: 1440/day_step*ipysiq/nsplit_phys
+    if [ X${LMDZ_Physics} = X"NPv3.1" ] && [ ${RESOL_ATM_3D} = 96x95x39 ] ; then
+        # Time step in physics: 7.5min
 	LMDZ_sed gcm.def iphysiq     5
-    else
+    elif [ X${LMDZ_Physics} = X"NPv3.1" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
+        # Time step in physics: 8min
+	LMDZ_sed gcm.def iphysiq     8
+    elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 96x95x39 ] ; then
+        # Time step in physics: 9min
+	LMDZ_sed gcm.def iphysiq     3
+    elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
+        # Time step in physics: 8min
+	LMDZ_sed gcm.def iphysiq     4
+    elif [ X${LMDZ_Physics} = X"AP" ] ; then
+        # Time step in physics: 30min
+        # Use default value for old physics
 	LMDZ_sed_default gcm.def iphysiq
-    fi
+    else
+        # Warning this combination has not been prepared 
+	echo ""
+	echo "WARNING!! LMDZ_Physics=${LMDZ_Physics} has not been tested with resolution ${RESOL_ATM_3D}."
+	echo " => The default timestep for iphysiq will be used. "
+	echo " => You can change the default time step in gcm.def_${RESOL_ATM_3D} but be carefull to keep the syntax: iphysiq=_AUTO_ : DEFAULT = new_value"
+	echo " => Calculate new time step in minutes in the physics of LMDZ as : 1440/day_step*ipysiq/nsplit_phys"
+	LMDZ_sed_default gcm.def iphysiq
+	echo ""
+    fi
+    
 
 
Index: /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/PARAM/physiq.def_L39_NPv3.2
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/PARAM/physiq.def_L39_NPv3.2	(revision 2287)
+++ /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/PARAM/physiq.def_L39_NPv3.2	(revision 2288)
@@ -129,4 +129,4 @@
 alp_offset=0.
 
-nsplit_phys=2
+nsplit_phys=1
 
Index: /CONFIG/UNIFORM/v5/LMDZORINCA_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZORINCA_v5/GENERAL/DRIVER/lmdz.driver	(revision 2287)
+++ /CONFIG/UNIFORM/v5/LMDZORINCA_v5/GENERAL/DRIVER/lmdz.driver	(revision 2288)
@@ -324,10 +324,33 @@
 
     ## gcm.def parameters : 
-    # Modification only for new physics
-    if [ X${LMDZ_Physics} = X"NPv3.1" ] ; then
+    # Modification for timestep in physics due to differnt type of physics
+    # To know the time step in minutes the physics part of LMDZ use: 1440/day_step*ipysiq/nsplit_phys
+    if [ X${LMDZ_Physics} = X"NPv3.1" ] && [ ${RESOL_ATM_3D} = 96x95x39 ] ; then
+        # Time step in physics: 7.5min
 	LMDZ_sed gcm.def iphysiq     5
-    else
+    elif [ X${LMDZ_Physics} = X"NPv3.1" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
+        # Time step in physics: 8min
+	LMDZ_sed gcm.def iphysiq     8
+    elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 96x95x39 ] ; then
+        # Time step in physics: 9min
+	LMDZ_sed gcm.def iphysiq     3
+    elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
+        # Time step in physics: 8min
+	LMDZ_sed gcm.def iphysiq     4
+    elif [ X${LMDZ_Physics} = X"AP" ] ; then
+        # Time step in physics: 30min
+        # Use default value for old physics
 	LMDZ_sed_default gcm.def iphysiq
-    fi
+    else
+        # Warning this combination has not been prepared 
+	echo ""
+	echo "WARNING!! LMDZ_Physics=${LMDZ_Physics} has not been tested with resolution ${RESOL_ATM_3D}."
+	echo " => The default timestep for iphysiq will be used. "
+	echo " => You can change the default time step in gcm.def_${RESOL_ATM_3D} but be carefull to keep the syntax: iphysiq=_AUTO_ : DEFAULT = new_value"
+	echo " => Calculate new time step in minutes in the physics of LMDZ as : 1440/day_step*ipysiq/nsplit_phys"
+	LMDZ_sed_default gcm.def iphysiq
+	echo ""
+    fi
+    
 
 
Index: /CONFIG/UNIFORM/v5/LMDZORINCA_v5/GENERAL/PARAM/physiq.def_L39_NPv3.2
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZORINCA_v5/GENERAL/PARAM/physiq.def_L39_NPv3.2	(revision 2287)
+++ /CONFIG/UNIFORM/v5/LMDZORINCA_v5/GENERAL/PARAM/physiq.def_L39_NPv3.2	(revision 2288)
@@ -129,4 +129,4 @@
 alp_offset=0.
 
-nsplit_phys=2
+nsplit_phys=1
 
Index: /CONFIG/UNIFORM/v5/LMDZOR_v5.2/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZOR_v5.2/GENERAL/DRIVER/lmdz.driver	(revision 2287)
+++ /CONFIG/UNIFORM/v5/LMDZOR_v5.2/GENERAL/DRIVER/lmdz.driver	(revision 2288)
@@ -324,10 +324,33 @@
 
     ## gcm.def parameters : 
-    # Modification only for new physics
-    if [ X${LMDZ_Physics} = X"NPv3.1" ] ; then
+    # Modification for timestep in physics due to differnt type of physics
+    # To know the time step in minutes the physics part of LMDZ use: 1440/day_step*ipysiq/nsplit_phys
+    if [ X${LMDZ_Physics} = X"NPv3.1" ] && [ ${RESOL_ATM_3D} = 96x95x39 ] ; then
+        # Time step in physics: 7.5min
 	LMDZ_sed gcm.def iphysiq     5
-    else
+    elif [ X${LMDZ_Physics} = X"NPv3.1" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
+        # Time step in physics: 8min
+	LMDZ_sed gcm.def iphysiq     8
+    elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 96x95x39 ] ; then
+        # Time step in physics: 9min
+	LMDZ_sed gcm.def iphysiq     3
+    elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
+        # Time step in physics: 8min
+	LMDZ_sed gcm.def iphysiq     4
+    elif [ X${LMDZ_Physics} = X"AP" ] ; then
+        # Time step in physics: 30min
+        # Use default value for old physics
 	LMDZ_sed_default gcm.def iphysiq
-    fi
+    else
+        # Warning this combination has not been prepared 
+	echo ""
+	echo "WARNING!! LMDZ_Physics=${LMDZ_Physics} has not been tested with resolution ${RESOL_ATM_3D}."
+	echo " => The default timestep for iphysiq will be used. "
+	echo " => You can change the default time step in gcm.def_${RESOL_ATM_3D} but be carefull to keep the syntax: iphysiq=_AUTO_ : DEFAULT = new_value"
+	echo " => Calculate new time step in minutes in the physics of LMDZ as : 1440/day_step*ipysiq/nsplit_phys"
+	LMDZ_sed_default gcm.def iphysiq
+	echo ""
+    fi
+    
 
 
Index: /CONFIG/UNIFORM/v5/LMDZOR_v5.2/GENERAL/PARAM/physiq.def_L39_NPv3.2
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZOR_v5.2/GENERAL/PARAM/physiq.def_L39_NPv3.2	(revision 2287)
+++ /CONFIG/UNIFORM/v5/LMDZOR_v5.2/GENERAL/PARAM/physiq.def_L39_NPv3.2	(revision 2288)
@@ -129,4 +129,4 @@
 alp_offset=0.
 
-nsplit_phys=2
+nsplit_phys=1
 
Index: /CONFIG/UNIFORM/v5/LMDZOR_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZOR_v5/GENERAL/DRIVER/lmdz.driver	(revision 2287)
+++ /CONFIG/UNIFORM/v5/LMDZOR_v5/GENERAL/DRIVER/lmdz.driver	(revision 2288)
@@ -324,10 +324,33 @@
 
     ## gcm.def parameters : 
-    # Modification only for new physics
-    if [ X${LMDZ_Physics} = X"NPv3.1" ] ; then
+    # Modification for timestep in physics due to differnt type of physics
+    # To know the time step in minutes the physics part of LMDZ use: 1440/day_step*ipysiq/nsplit_phys
+    if [ X${LMDZ_Physics} = X"NPv3.1" ] && [ ${RESOL_ATM_3D} = 96x95x39 ] ; then
+        # Time step in physics: 7.5min
 	LMDZ_sed gcm.def iphysiq     5
-    else
+    elif [ X${LMDZ_Physics} = X"NPv3.1" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
+        # Time step in physics: 8min
+	LMDZ_sed gcm.def iphysiq     8
+    elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 96x95x39 ] ; then
+        # Time step in physics: 9min
+	LMDZ_sed gcm.def iphysiq     3
+    elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
+        # Time step in physics: 8min
+	LMDZ_sed gcm.def iphysiq     4
+    elif [ X${LMDZ_Physics} = X"AP" ] ; then
+        # Time step in physics: 30min
+        # Use default value for old physics
 	LMDZ_sed_default gcm.def iphysiq
-    fi
+    else
+        # Warning this combination has not been prepared 
+	echo ""
+	echo "WARNING!! LMDZ_Physics=${LMDZ_Physics} has not been tested with resolution ${RESOL_ATM_3D}."
+	echo " => The default timestep for iphysiq will be used. "
+	echo " => You can change the default time step in gcm.def_${RESOL_ATM_3D} but be carefull to keep the syntax: iphysiq=_AUTO_ : DEFAULT = new_value"
+	echo " => Calculate new time step in minutes in the physics of LMDZ as : 1440/day_step*ipysiq/nsplit_phys"
+	LMDZ_sed_default gcm.def iphysiq
+	echo ""
+    fi
+    
 
 
Index: /CONFIG/UNIFORM/v5/LMDZOR_v5/GENERAL/PARAM/physiq.def_L39_NPv3.2
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZOR_v5/GENERAL/PARAM/physiq.def_L39_NPv3.2	(revision 2287)
+++ /CONFIG/UNIFORM/v5/LMDZOR_v5/GENERAL/PARAM/physiq.def_L39_NPv3.2	(revision 2288)
@@ -129,4 +129,4 @@
 alp_offset=0.
 
-nsplit_phys=2
+nsplit_phys=1
 
Index: /CONFIG/UNIFORM/v5/LMDZREPR_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZREPR_v5/GENERAL/DRIVER/lmdz.driver	(revision 2287)
+++ /CONFIG/UNIFORM/v5/LMDZREPR_v5/GENERAL/DRIVER/lmdz.driver	(revision 2288)
@@ -324,10 +324,33 @@
 
     ## gcm.def parameters : 
-    # Modification only for new physics
-    if [ X${LMDZ_Physics} = X"NPv3.1" ] ; then
+    # Modification for timestep in physics due to differnt type of physics
+    # To know the time step in minutes the physics part of LMDZ use: 1440/day_step*ipysiq/nsplit_phys
+    if [ X${LMDZ_Physics} = X"NPv3.1" ] && [ ${RESOL_ATM_3D} = 96x95x39 ] ; then
+        # Time step in physics: 7.5min
 	LMDZ_sed gcm.def iphysiq     5
-    else
+    elif [ X${LMDZ_Physics} = X"NPv3.1" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
+        # Time step in physics: 8min
+	LMDZ_sed gcm.def iphysiq     8
+    elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 96x95x39 ] ; then
+        # Time step in physics: 9min
+	LMDZ_sed gcm.def iphysiq     3
+    elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
+        # Time step in physics: 8min
+	LMDZ_sed gcm.def iphysiq     4
+    elif [ X${LMDZ_Physics} = X"AP" ] ; then
+        # Time step in physics: 30min
+        # Use default value for old physics
 	LMDZ_sed_default gcm.def iphysiq
-    fi
+    else
+        # Warning this combination has not been prepared 
+	echo ""
+	echo "WARNING!! LMDZ_Physics=${LMDZ_Physics} has not been tested with resolution ${RESOL_ATM_3D}."
+	echo " => The default timestep for iphysiq will be used. "
+	echo " => You can change the default time step in gcm.def_${RESOL_ATM_3D} but be carefull to keep the syntax: iphysiq=_AUTO_ : DEFAULT = new_value"
+	echo " => Calculate new time step in minutes in the physics of LMDZ as : 1440/day_step*ipysiq/nsplit_phys"
+	LMDZ_sed_default gcm.def iphysiq
+	echo ""
+    fi
+    
 
 
Index: /CONFIG/UNIFORM/v5/LMDZREPR_v5/GENERAL/PARAM/physiq.def_L39_NPv3.2
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZREPR_v5/GENERAL/PARAM/physiq.def_L39_NPv3.2	(revision 2287)
+++ /CONFIG/UNIFORM/v5/LMDZREPR_v5/GENERAL/PARAM/physiq.def_L39_NPv3.2	(revision 2288)
@@ -129,4 +129,4 @@
 alp_offset=0.
 
-nsplit_phys=2
+nsplit_phys=1
 
Index: /CONFIG/UNIFORM/v5/LMDZ_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZ_v5/GENERAL/DRIVER/lmdz.driver	(revision 2287)
+++ /CONFIG/UNIFORM/v5/LMDZ_v5/GENERAL/DRIVER/lmdz.driver	(revision 2288)
@@ -324,10 +324,33 @@
 
     ## gcm.def parameters : 
-    # Modification only for new physics
-    if [ X${LMDZ_Physics} = X"NPv3.1" ] ; then
+    # Modification for timestep in physics due to differnt type of physics
+    # To know the time step in minutes the physics part of LMDZ use: 1440/day_step*ipysiq/nsplit_phys
+    if [ X${LMDZ_Physics} = X"NPv3.1" ] && [ ${RESOL_ATM_3D} = 96x95x39 ] ; then
+        # Time step in physics: 7.5min
 	LMDZ_sed gcm.def iphysiq     5
-    else
+    elif [ X${LMDZ_Physics} = X"NPv3.1" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
+        # Time step in physics: 8min
+	LMDZ_sed gcm.def iphysiq     8
+    elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 96x95x39 ] ; then
+        # Time step in physics: 9min
+	LMDZ_sed gcm.def iphysiq     3
+    elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
+        # Time step in physics: 8min
+	LMDZ_sed gcm.def iphysiq     4
+    elif [ X${LMDZ_Physics} = X"AP" ] ; then
+        # Time step in physics: 30min
+        # Use default value for old physics
 	LMDZ_sed_default gcm.def iphysiq
-    fi
+    else
+        # Warning this combination has not been prepared 
+	echo ""
+	echo "WARNING!! LMDZ_Physics=${LMDZ_Physics} has not been tested with resolution ${RESOL_ATM_3D}."
+	echo " => The default timestep for iphysiq will be used. "
+	echo " => You can change the default time step in gcm.def_${RESOL_ATM_3D} but be carefull to keep the syntax: iphysiq=_AUTO_ : DEFAULT = new_value"
+	echo " => Calculate new time step in minutes in the physics of LMDZ as : 1440/day_step*ipysiq/nsplit_phys"
+	LMDZ_sed_default gcm.def iphysiq
+	echo ""
+    fi
+    
 
 
Index: /CONFIG/UNIFORM/v5/LMDZ_v5/GENERAL/PARAM/physiq.def_L39_NPv3.2
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZ_v5/GENERAL/PARAM/physiq.def_L39_NPv3.2	(revision 2287)
+++ /CONFIG/UNIFORM/v5/LMDZ_v5/GENERAL/PARAM/physiq.def_L39_NPv3.2	(revision 2288)
@@ -129,4 +129,4 @@
 alp_offset=0.
 
-nsplit_phys=2
+nsplit_phys=1
 