Index: /CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/GENERAL/DRIVER/lmdz.driver	(revision 2293)
+++ /CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/GENERAL/DRIVER/lmdz.driver	(revision 2294)
@@ -330,12 +330,15 @@
 	LMDZ_sed gcm.def iphysiq     5
     elif [ X${LMDZ_Physics} = X"NPv3.1" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
-        # Time step in physics: 8min
-	LMDZ_sed gcm.def iphysiq     8
+        # Time step in physics: 10min
+	LMDZ_sed gcm.def iphysiq     5
     elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 96x95x39 ] ; then
-        # Time step in physics: 9min
-	LMDZ_sed gcm.def iphysiq     3
+        # Time step in physics: 15min
+	LMDZ_sed gcm.def iphysiq     5
     elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
-        # Time step in physics: 8min
-	LMDZ_sed gcm.def iphysiq     4
+        # Time step in physics: 10min
+	LMDZ_sed gcm.def iphysiq     5
+    elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 128x118x39 ] ; then
+        # Time step in physics: 7.5min
+	LMDZ_sed gcm.def iphysiq     15
     elif [ X${LMDZ_Physics} = X"AP" ] ; then
         # Time step in physics: 30min
Index: /CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/GENERAL/DRIVER/lmdz.driver	(revision 2293)
+++ /CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/GENERAL/DRIVER/lmdz.driver	(revision 2294)
@@ -330,12 +330,15 @@
 	LMDZ_sed gcm.def iphysiq     5
     elif [ X${LMDZ_Physics} = X"NPv3.1" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
-        # Time step in physics: 8min
-	LMDZ_sed gcm.def iphysiq     8
+        # Time step in physics: 10min
+	LMDZ_sed gcm.def iphysiq     5
     elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 96x95x39 ] ; then
-        # Time step in physics: 9min
-	LMDZ_sed gcm.def iphysiq     3
+        # Time step in physics: 15min
+	LMDZ_sed gcm.def iphysiq     5
     elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
-        # Time step in physics: 8min
-	LMDZ_sed gcm.def iphysiq     4
+        # Time step in physics: 10min
+	LMDZ_sed gcm.def iphysiq     5
+    elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 128x118x39 ] ; then
+        # Time step in physics: 7.5min
+	LMDZ_sed gcm.def iphysiq     15
     elif [ X${LMDZ_Physics} = X"AP" ] ; then
         # Time step in physics: 30min
Index: /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/DRIVER/lmdz.driver	(revision 2293)
+++ /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/DRIVER/lmdz.driver	(revision 2294)
@@ -330,12 +330,15 @@
 	LMDZ_sed gcm.def iphysiq     5
     elif [ X${LMDZ_Physics} = X"NPv3.1" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
-        # Time step in physics: 8min
-	LMDZ_sed gcm.def iphysiq     8
+        # Time step in physics: 10min
+	LMDZ_sed gcm.def iphysiq     5
     elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 96x95x39 ] ; then
-        # Time step in physics: 9min
-	LMDZ_sed gcm.def iphysiq     3
+        # Time step in physics: 15min
+	LMDZ_sed gcm.def iphysiq     5
     elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
-        # Time step in physics: 8min
-	LMDZ_sed gcm.def iphysiq     4
+        # Time step in physics: 10min
+	LMDZ_sed gcm.def iphysiq     5
+    elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 128x118x39 ] ; then
+        # Time step in physics: 7.5min
+	LMDZ_sed gcm.def iphysiq     15
     elif [ X${LMDZ_Physics} = X"AP" ] ; then
         # Time step in physics: 30min
Index: /CONFIG/UNIFORM/v5/LMDZORINCA_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZORINCA_v5/GENERAL/DRIVER/lmdz.driver	(revision 2293)
+++ /CONFIG/UNIFORM/v5/LMDZORINCA_v5/GENERAL/DRIVER/lmdz.driver	(revision 2294)
@@ -330,12 +330,15 @@
 	LMDZ_sed gcm.def iphysiq     5
     elif [ X${LMDZ_Physics} = X"NPv3.1" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
-        # Time step in physics: 8min
-	LMDZ_sed gcm.def iphysiq     8
+        # Time step in physics: 10min
+	LMDZ_sed gcm.def iphysiq     5
     elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 96x95x39 ] ; then
-        # Time step in physics: 9min
-	LMDZ_sed gcm.def iphysiq     3
+        # Time step in physics: 15min
+	LMDZ_sed gcm.def iphysiq     5
     elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
-        # Time step in physics: 8min
-	LMDZ_sed gcm.def iphysiq     4
+        # Time step in physics: 10min
+	LMDZ_sed gcm.def iphysiq     5
+    elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 128x118x39 ] ; then
+        # Time step in physics: 7.5min
+	LMDZ_sed gcm.def iphysiq     15
     elif [ X${LMDZ_Physics} = X"AP" ] ; then
         # Time step in physics: 30min
Index: /CONFIG/UNIFORM/v5/LMDZOR_v5.2/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZOR_v5.2/GENERAL/DRIVER/lmdz.driver	(revision 2293)
+++ /CONFIG/UNIFORM/v5/LMDZOR_v5.2/GENERAL/DRIVER/lmdz.driver	(revision 2294)
@@ -330,12 +330,15 @@
 	LMDZ_sed gcm.def iphysiq     5
     elif [ X${LMDZ_Physics} = X"NPv3.1" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
-        # Time step in physics: 8min
-	LMDZ_sed gcm.def iphysiq     8
+        # Time step in physics: 10min
+	LMDZ_sed gcm.def iphysiq     5
     elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 96x95x39 ] ; then
-        # Time step in physics: 9min
-	LMDZ_sed gcm.def iphysiq     3
+        # Time step in physics: 15min
+	LMDZ_sed gcm.def iphysiq     5
     elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
-        # Time step in physics: 8min
-	LMDZ_sed gcm.def iphysiq     4
+        # Time step in physics: 10min
+	LMDZ_sed gcm.def iphysiq     5
+    elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 128x118x39 ] ; then
+        # Time step in physics: 7.5min
+	LMDZ_sed gcm.def iphysiq     15
     elif [ X${LMDZ_Physics} = X"AP" ] ; then
         # Time step in physics: 30min
Index: /CONFIG/UNIFORM/v5/LMDZOR_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZOR_v5/GENERAL/DRIVER/lmdz.driver	(revision 2293)
+++ /CONFIG/UNIFORM/v5/LMDZOR_v5/GENERAL/DRIVER/lmdz.driver	(revision 2294)
@@ -330,12 +330,15 @@
 	LMDZ_sed gcm.def iphysiq     5
     elif [ X${LMDZ_Physics} = X"NPv3.1" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
-        # Time step in physics: 8min
-	LMDZ_sed gcm.def iphysiq     8
+        # Time step in physics: 10min
+	LMDZ_sed gcm.def iphysiq     5
     elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 96x95x39 ] ; then
-        # Time step in physics: 9min
-	LMDZ_sed gcm.def iphysiq     3
+        # Time step in physics: 15min
+	LMDZ_sed gcm.def iphysiq     5
     elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
-        # Time step in physics: 8min
-	LMDZ_sed gcm.def iphysiq     4
+        # Time step in physics: 10min
+	LMDZ_sed gcm.def iphysiq     5
+    elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 128x118x39 ] ; then
+        # Time step in physics: 7.5min
+	LMDZ_sed gcm.def iphysiq     15
     elif [ X${LMDZ_Physics} = X"AP" ] ; then
         # Time step in physics: 30min
Index: /CONFIG/UNIFORM/v5/LMDZREPR_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZREPR_v5/GENERAL/DRIVER/lmdz.driver	(revision 2293)
+++ /CONFIG/UNIFORM/v5/LMDZREPR_v5/GENERAL/DRIVER/lmdz.driver	(revision 2294)
@@ -330,12 +330,15 @@
 	LMDZ_sed gcm.def iphysiq     5
     elif [ X${LMDZ_Physics} = X"NPv3.1" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
-        # Time step in physics: 8min
-	LMDZ_sed gcm.def iphysiq     8
+        # Time step in physics: 10min
+	LMDZ_sed gcm.def iphysiq     5
     elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 96x95x39 ] ; then
-        # Time step in physics: 9min
-	LMDZ_sed gcm.def iphysiq     3
+        # Time step in physics: 15min
+	LMDZ_sed gcm.def iphysiq     5
     elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
-        # Time step in physics: 8min
-	LMDZ_sed gcm.def iphysiq     4
+        # Time step in physics: 10min
+	LMDZ_sed gcm.def iphysiq     5
+    elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 128x118x39 ] ; then
+        # Time step in physics: 7.5min
+	LMDZ_sed gcm.def iphysiq     15
     elif [ X${LMDZ_Physics} = X"AP" ] ; then
         # Time step in physics: 30min
Index: /CONFIG/UNIFORM/v5/LMDZ_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZ_v5/GENERAL/DRIVER/lmdz.driver	(revision 2293)
+++ /CONFIG/UNIFORM/v5/LMDZ_v5/GENERAL/DRIVER/lmdz.driver	(revision 2294)
@@ -330,12 +330,15 @@
 	LMDZ_sed gcm.def iphysiq     5
     elif [ X${LMDZ_Physics} = X"NPv3.1" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
-        # Time step in physics: 8min
-	LMDZ_sed gcm.def iphysiq     8
+        # Time step in physics: 10min
+	LMDZ_sed gcm.def iphysiq     5
     elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 96x95x39 ] ; then
-        # Time step in physics: 9min
-	LMDZ_sed gcm.def iphysiq     3
+        # Time step in physics: 15min
+	LMDZ_sed gcm.def iphysiq     5
     elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 144x142x39 ] ; then
-        # Time step in physics: 8min
-	LMDZ_sed gcm.def iphysiq     4
+        # Time step in physics: 10min
+	LMDZ_sed gcm.def iphysiq     5
+    elif [ X${LMDZ_Physics} = X"NPv3.2" ] && [ ${RESOL_ATM_3D} = 128x118x39 ] ; then
+        # Time step in physics: 7.5min
+	LMDZ_sed gcm.def iphysiq     15
     elif [ X${LMDZ_Physics} = X"AP" ] ; then
         # Time step in physics: 30min