Index: /CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/lmdz.driver	(revision 2332)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/lmdz.driver	(revision 2333)
@@ -1,40 +1,4 @@
 #!/bin/ksh
 #-----------------------------------------------------------------
-function LMDZ_sed
-{
-# Usage : LMDZ_sed filedef var_name myvalue
-#         In file filedef modify the line containing var_name=xxx into var_name=myvalue
-    IGCM_debug_PushStack "LMDZ_sed"
-    
-    # Test if the fichier exist
-    if [ ! -f ${1} ] ; then
-	echo "WARNING : ${1} file does not exist. Following will not be done : LMDZ_sed : ${1} ${2} ${3}"
-        IGCM_debug_PopStack "LMDZ_sed"
-	return
-    fi
-
-    sed -e "s/^${2}\ *=.*/${2}= ${3}/" ${1} > ${1}.tmp
-    RET=$?
-    echo "LMDZ_sed : ${1} ${2} ${3}"
-    \mv ${1}.tmp ${1}
-
-    IGCM_debug_PopStack "LMDZ_sed"
-    return $RET
-}
-
-function LMDZ_sed_default
-{
-# Usage : LMDZ_sed_default filedef var_name
-#         In file filedef modify the line  "var_name=xxx DEFAULT= myvalue"
-#         into "var_name=myvalue"
-    IGCM_debug_PushStack "LMDZ_sed_default"
-
-    DefValue=$( grep ${2} ${1}  | awk -F"DEFAULT.=*" '{print $2}')
-
-    LMDZ_sed  ${1} ${2} $DefValue
-    IGCM_debug_PopStack "LMDZ_sed_default"
-    return $RET
-}
-
 function LMDZ_sed_xml
 {
@@ -45,5 +9,5 @@
     # Test if the fichier exist
     if [ ! -f ${1} ] ; then
-      echo "WARNING : ${1} file does not exist. Following will not be done : LMDZ_sed : ${1} ${2} ${3} ${4}"
+      echo "WARNING : ${1} file does not exist. Following will not be done : LMDZ_sed_xml : ${1} ${2} ${3} ${4}"
       IGCM_debug_PopStack "LMDZ_sed_xml"
       return
@@ -51,5 +15,5 @@
     sed -e "/id=\"${2}\"/s/\(${3}=\"\)[^\"]*\(\"\)/\1${4}\2/" ${1} > ${1}.tmp
     RET=$?
-    echo "LMDZ_sed : ${1} ${2} ${3} ${4}"
+    echo "LMDZ_sed_xml : ${1} ${2} ${3} ${4}"
     \mv ${1}.tmp ${1}
     IGCM_debug_PopStack "LMDZ_sed_xml"
@@ -281,87 +245,86 @@
     ##   If forcing file exist in run directory, read values for the current year 
     ##   and set in config.def. If not use the default value set in config.def
+
+    # Read value for solaire from file SOLARANDVOLCANOES.txt. If file not existing, take DEFAULT value from file. 
     if [ -f SOLARANDVOLCANOES.txt ] ; then
-	IPCC_SOLAR=`grep Annee_${year} SOLARANDVOLCANOES.txt | awk -F= '{print $2}'`
-	if [ X"${IPCC_SOLAR}" = X ] ; then
+	value=`grep Annee_${year} SOLARANDVOLCANOES.txt | awk -F= '{print $2}'`
+	if [ X"${value}" = X ] ; then
 	    # The grep returned empty variable, stop execution
 	    IGCM_debug_Exit "The file SOLARANDVOLCANOES.txt do not contain the current year."
 	    IGCM_debug_Verif_Exit
-	else
-	    # Set new variable in config.def file
-	    LMDZ_sed config.def solaire     ${IPCC_SOLAR}
-	fi
-    else
-	LMDZ_sed_default config.def solaire
-    fi
-
+	fi
+    else
+	value=DEFAULT
+    fi
+    IGCM_comp_modifyDefFile nonblocker config.def solaire $value
+
+
+    # Read value for co2_ppm from file CO2.txt. If file not existing, take DEFAULT value from file. 
     if [ -f CO2.txt ] ; then
-	IPCC_CO2=`grep Annee_${year} CO2.txt | awk -F= '{print $2}'`
-	if [ X"${IPCC_CO2}" = X ] ; then
+       	value=`grep Annee_${year} CO2.txt | awk -F= '{print $2}'`
+	if [ X"${value}" = X ] ; then
 	    # The grep returned empty variable, stop execution
 	    IGCM_debug_Exit "The file CO2.txt do not contain the current year."
 	    IGCM_debug_Verif_Exit
-	else
-	    # Set new variable in config.def file
-	    LMDZ_sed config.def co2_ppm     ${IPCC_CO2}
-	fi
-    else
-	LMDZ_sed_default config.def co2_ppm
-    fi
-
+	fi
+    else
+	value=DEFAULT
+    fi
+    IGCM_comp_modifyDefFile nonblocker config.def co2_ppm $value
+
+
+    # Read value for CH4_ppb from file CH4.txt. If file not existing, take DEFAULT value from file. 
     if [ -f CH4.txt ] ; then
-	IPCC_CH4=`grep Annee_${year} CH4.txt | awk -F= '{print $2}'`
-	if [ X"${IPCC_CH4}" = X ] ; then
+	value=`grep Annee_${year} CH4.txt | awk -F= '{print $2}'`
+	if [ X"${value}" = X ] ; then
 	    # The grep returned empty variable, stop execution
 	    IGCM_debug_Exit "The file CH4.txt do not contain the current year."
 	    IGCM_debug_Verif_Exit
-	else
-	    # Set new variable in config.def file
-	    LMDZ_sed config.def CH4_ppb     ${IPCC_CH4}
-	fi
-     else
-	LMDZ_sed_default config.def CH4_ppb
-    fi
-
+	fi
+    else
+	value=DEFAULT
+    fi
+    IGCM_comp_modifyDefFile nonblocker config.def CH4_ppb $value
+
+
+    # Read value for N2O_ppb from file N2O.txt. If file not existing, take DEFAULT value from file. 
     if [ -f N2O.txt ] ; then
-	IPCC_N2O=`grep Annee_${year} N2O.txt | awk -F= '{print $2}'`
-	if [ X"${IPCC_N2O}" = X ] ; then
+	value=`grep Annee_${year} N2O.txt | awk -F= '{print $2}'`
+	if [ X"${value}" = X ] ; then
 	    # The grep returned empty variable, stop execution
 	    IGCM_debug_Exit "The file N2O.txt do not contain the current year."
 	    IGCM_debug_Verif_Exit
-	else
-	    # Set new variable in config.def file
-	    LMDZ_sed config.def N2O_ppb     ${IPCC_N2O}
-	fi
-    else
-	LMDZ_sed_default config.def N2O_ppb
-    fi
-
+	fi
+    else
+	value=DEFAULT
+    fi
+    IGCM_comp_modifyDefFile nonblocker config.def N2O_ppb $value
+
+    # Read value for CFC11_ppt from file CFC11.txt. If file not existing, take DEFAULT value from file. 
     if [ -f CFC11.txt ] ; then
-	IPCC_CFC11=`grep Annee_${year} CFC11.txt | awk -F= '{print $2}'`
-	if [ X"${IPCC_CFC11}" = X ] ; then
+	value=`grep Annee_${year} CFC11.txt | awk -F= '{print $2}'`
+	if [ X"${value}" = X ] ; then
 	    # The grep returned empty variable, stop execution
 	    IGCM_debug_Exit "The file CFC11.txt do not contain the current year."
 	    IGCM_debug_Verif_Exit
-	else
-	    # Set new variable in config.def file
-	    LMDZ_sed config.def CFC11_ppt   ${IPCC_CFC11}
-	fi
-    else
-	LMDZ_sed_default config.def CFC11_ppt
-    fi
-
+	fi
+    else
+	value=DEFAULT
+    fi
+    IGCM_comp_modifyDefFile nonblocker config.def CFC11_ppt $value
+
+
+    # Read value for CFC12_ppt from file CFC12.txt. If file not existing, take DEFAULT value from file. 
     if [ -f CFC12.txt ] ; then
-	IPCC_CFC12=`grep Annee_${year} CFC12.txt | awk -F= '{print $2}'`
-	if [ X"${IPCC_CFC12}" = X ] ; then
+	value=`grep Annee_${year} CFC12.txt | awk -F= '{print $2}'`
+	if [ X"${value}" = X ] ; then
 	    # The grep returned empty variable, stop execution
 	    IGCM_debug_Exit "The file CFC12.txt do not contain the current year."
 	    IGCM_debug_Verif_Exit
-	else
-	    # Set new variable in config.def file
-	    LMDZ_sed config.def CFC12_ppt   ${IPCC_CFC12}
-	fi
-    else
-	LMDZ_sed_default config.def CFC12_ppt
-    fi
+	fi
+    else
+	value=DEFAULT
+    fi
+    IGCM_comp_modifyDefFile nonblocker config.def CFC12_ppt $value
 
 
@@ -369,5 +332,5 @@
     LMDZ_t_coupl=${oasis_UserChoices_FreqCoupling:-${lmdz_UserChoices_t_coupl}}
     IGCM_debug_Print 3 "LMDZ_t_coupl "   ${LMDZ_t_coupl}
-    LMDZ_sed config.def t_coupl   ${LMDZ_t_coupl}
+    IGCM_comp_modifyDefFile nonblocker config.def t_coupl   ${LMDZ_t_coupl} 
 
     ##-- Add special treatement for CARBON CYCLE
@@ -387,11 +350,11 @@
     #  columns in phys_output_filekeys refer to the filenames given in phys_out_filenames in output.def :  
     #                                            histmth       histday        histhf    histfh3h   histhf3hm   histstn
-    LMDZ_sed output.def phys_out_filekeys       "${ok_mensuel} ${ok_journe}   ${ok_hf}  ${ok_hf3h} ${ok_hf3hm} ${ok_stn}"
-    LMDZ_sed output.def ecrit_ISCCP ${LMDZ_ecrit_ISCCP}
-    LMDZ_sed output.def ok_cosp     ${LMDZ_COSP_OK}
-    LMDZ_sed output.def ok_mensuelCOSP  ${LMDZ_COSP_monthly}
-    LMDZ_sed output.def ok_journeCOSP   ${LMDZ_COSP_daily}
-    LMDZ_sed output.def ok_hfCOSP   ${LMDZ_COSP_hf}
-    LMDZ_sed output.def ok_histNMC  "${LMDZ_NMC_monthly} ${LMDZ_NMC_daily} ${LMDZ_NMC_hf}"
+    IGCM_comp_modifyDefFile nonblocker output.def phys_out_filekeys "${ok_mensuel} ${ok_journe}   ${ok_hf}  ${ok_hf3h} ${ok_hf3hm} ${ok_stn}"
+    IGCM_comp_modifyDefFile nonblocker output.def ecrit_ISCCP ${LMDZ_ecrit_ISCCP}
+    IGCM_comp_modifyDefFile nonblocker output.def ok_cosp     ${LMDZ_COSP_OK}
+    IGCM_comp_modifyDefFile nonblocker output.def ok_mensuelCOSP  ${LMDZ_COSP_monthly}
+    IGCM_comp_modifyDefFile nonblocker output.def ok_journeCOSP   ${LMDZ_COSP_daily}
+    IGCM_comp_modifyDefFile nonblocker output.def ok_hfCOSP   ${LMDZ_COSP_hf}
+    IGCM_comp_modifyDefFile nonblocker output.def ok_histNMC  "${LMDZ_NMC_monthly} ${LMDZ_NMC_daily} ${LMDZ_NMC_hf}"
 
     # XIOS XML definition
@@ -472,18 +435,19 @@
 
     ## gcm.def parameters : 
-    # Modification only for new physics
+    # Modification of variable iphysiq depending on the physics
     if [ X${LMDZ_Physics} = X"AP" ] ; then
-        LMDZ_sed gcm.def iphysiq     10
-    else
-        LMDZ_sed_default gcm.def iphysiq
-    fi
+        value=10
+    else
+	value=DEFAULT
+    fi
+    IGCM_comp_modifyDefFile nonblocker gcm.def iphysiq $value
 
 
     ## run.def parameters
-    LMDZ_sed run.def dayref   ${InitDay}
-    LMDZ_sed run.def nday     ${PeriodLengthInDays}
-    LMDZ_sed run.def raz_date ${RAZ_DATE}
-    LMDZ_sed run.def periodav ${LMDZ_periodav}
-    LMDZ_sed run.def adjust   ${LMDZ_adjust}
+    IGCM_comp_modifyDefFile blocker run.def dayref   ${InitDay}
+    IGCM_comp_modifyDefFile blocker run.def nday     ${PeriodLengthInDays}
+    IGCM_comp_modifyDefFile blocker run.def raz_date ${RAZ_DATE}
+    IGCM_comp_modifyDefFile blocker run.def periodav ${LMDZ_periodav}
+    IGCM_comp_modifyDefFile nonblocker run.def adjust   ${LMDZ_adjust}
 
     # Set anneeref different for gcm and ce0l
@@ -492,17 +456,17 @@
     if [ -f create_etat0_limit* ] || [ -f ce0l* ] && [ ! -f lmdz.x ] ; then
 	# for case ce0l : always take current year
-	LMDZ_sed run.def anneeref ${year}
-	LMDZ_sed run.def calend   ${CalendarTypeForCreate}
+	IGCM_comp_modifyDefFile blocker run.def anneeref ${year}
+	IGCM_comp_modifyDefFile blocker run.def calend   ${CalendarTypeForCreate}
     else
 	# for case gcm : take first year of simulation
-	LMDZ_sed run.def anneeref ${InitYear}
-	LMDZ_sed run.def calend   ${CalendarTypeForLmdz}
+	IGCM_comp_modifyDefFile blocker run.def anneeref ${InitYear}
+	IGCM_comp_modifyDefFile blocker run.def calend   ${CalendarTypeForLmdz}
     fi
 
     # Activate creation of file grilles_gcm.nc only at first period
     if [ ${CumulPeriod} -eq 1 ] ; then
-	LMDZ_sed run.def grilles_gcm_netcdf y
-    else
-	LMDZ_sed run.def grilles_gcm_netcdf n
+	IGCM_comp_modifyDefFile nonblocker run.def grilles_gcm_netcdf y
+    else
+	IGCM_comp_modifyDefFile nonblocker run.def grilles_gcm_netcdf n
     fi
 
@@ -513,29 +477,29 @@
     if [ X${config_ListOfComponents_SRF} = Xorchidee ] ; then
 	echo "Activate ORCHIDEE, set VEGET=y in run.def"
-	LMDZ_sed run.def VEGET y
+	IGCM_comp_modifyDefFile blocker run.def VEGET y
     else
 	echo "No ORCHIDEE, set VEGET=n in run.def"
-	LMDZ_sed run.def VEGET n
+	IGCM_comp_modifyDefFile blocker run.def VEGET n
     fi
 
     if [ X${config_ListOfComponents_CPL} = Xoasis ] ; then
 	echo "Activate coupling to ocean, set type_ocean=couple in run.def"
-	LMDZ_sed run.def type_ocean couple
+	IGCM_comp_modifyDefFile blocker run.def type_ocean couple
     else
 	echo "LMDZ is running in forced mode without ocean model, set type_ocean=force in run.def"
-	LMDZ_sed run.def type_ocean force
+	IGCM_comp_modifyDefFile blocker run.def type_ocean force
     fi
 
     if [ X${config_ListOfComponents_CHM} = Xinca ] ; then
 	echo "Activate coupling to INCA, set type_trac=inca in run.def"
-	LMDZ_sed run.def type_trac inca
+	IGCM_comp_modifyDefFile blocker run.def type_trac inca
     elif [ X${config_ListOfComponents_CHM} = Xreprobus ] ; then
 	echo "Activate coupling to REPROBUS, set type_trac=repr in run.def"
-	LMDZ_sed run.def type_trac repr
-        LMDZ_sed run.def config_inca none
+	IGCM_comp_modifyDefFile blocker run.def type_trac repr
+        IGCM_comp_modifyDefFile blocker run.def config_inca none
     else
 	echo "No coupling to chemistry model, set type_trac=lmdz in run.def"
-	LMDZ_sed run.def type_trac lmdz
-        LMDZ_sed run.def config_inca none
+	IGCM_comp_modifyDefFile blocker run.def type_trac lmdz
+        IGCM_comp_modifyDefFile blocker run.def config_inca none
     fi
 
@@ -543,28 +507,28 @@
     # config.def : Activate direct radiative effect if ok_ade=y
     if [ ! X${lmdz_UserChoices_ok_ade} = X ]; then 
-	LMDZ_sed config.def ok_ade ${lmdz_UserChoices_ok_ade}
-    else
-	LMDZ_sed config.def ok_ade n
+	IGCM_comp_modifyDefFile nonblocker config.def ok_ade ${lmdz_UserChoices_ok_ade}
+    else
+	IGCM_comp_modifyDefFile nonblocker config.def ok_ade n
     fi 
 
     # config.def : Activate indirect radiative effect if ok_aie=y
     if [ ! X${lmdz_UserChoices_ok_aie} = X ]; then 
-	LMDZ_sed config.def ok_aie ${lmdz_UserChoices_ok_aie}
-    else
-	LMDZ_sed config.def ok_aie n
+	IGCM_comp_modifyDefFile nonblocker config.def ok_aie ${lmdz_UserChoices_ok_aie}
+    else
+	IGCM_comp_modifyDefFile nonblocker config.def ok_aie n
     fi 
 
     # config.def : Activate online aerosol coupled model if aerosol_couple=y
     if [ ! X${lmdz_UserChoices_aerosol_couple} = X ]; then 
-	LMDZ_sed config.def aerosol_couple ${lmdz_UserChoices_aerosol_couple}
-    else
-	LMDZ_sed config.def aerosol_couple n
+	IGCM_comp_modifyDefFile nonblocker config.def aerosol_couple ${lmdz_UserChoices_aerosol_couple}
+    else
+	IGCM_comp_modifyDefFile nonblocker config.def aerosol_couple n
     fi 
 
     # config.def : Activate reading of ozone in climatology if read_climoz=2
     if [ ! X${lmdz_UserChoices_read_climoz} = X ]; then 
-	LMDZ_sed config.def read_climoz ${lmdz_UserChoices_read_climoz}
-    else
-	LMDZ_sed config.def read_climoz 0	
+	IGCM_comp_modifyDefFile nonblocker config.def read_climoz ${lmdz_UserChoices_read_climoz}
+    else
+	IGCM_comp_modifyDefFile nonblocker config.def read_climoz 0	
     fi 
 
@@ -573,21 +537,21 @@
     # =5 => dust only =6 => all aerosol    
     if [ ! X${lmdz_UserChoices_flag_aerosol} = X ]; then 
-	LMDZ_sed config.def flag_aerosol ${lmdz_UserChoices_flag_aerosol}
-    else
-	LMDZ_sed config.def flag_aerosol 0
+	IGCM_comp_modifyDefFile nonblocker config.def flag_aerosol ${lmdz_UserChoices_flag_aerosol}
+    else
+	IGCM_comp_modifyDefFile nonblocker config.def flag_aerosol 0
     fi 
 
     # config.def : Activate calcul of Cloud droplet number concentration if ok_cdnc=y
     if [ ! X${lmdz_UserChoices_ok_cdnc} = X ]; then 
-	LMDZ_sed config.def ok_cdnc ${lmdz_UserChoices_ok_cdnc}
-    else
-	LMDZ_sed config.def ok_cdnc n	
+	IGCM_comp_modifyDefFile nonblocker config.def ok_cdnc ${lmdz_UserChoices_ok_cdnc}
+    else
+	IGCM_comp_modifyDefFile nonblocker config.def ok_cdnc n	
     fi 
 
     # guide.def : Activate nudging if ok_guide=y set in lmdz.card
     if [ ! X${lmdz_UserChoices_ok_guide} = X ] ; then
-	LMDZ_sed guide.def ok_guide  ${lmdz_UserChoices_ok_guide}
-    else
-	LMDZ_sed guide.def ok_guide n
+	IGCM_comp_modifyDefFile nonblocker guide.def ok_guide  ${lmdz_UserChoices_ok_guide}
+    else
+	IGCM_comp_modifyDefFile nonblocker guide.def ok_guide n
     fi
 
@@ -741,6 +705,6 @@
     if [ ${lmdz_UserChoices_CARBON_CYCLE} = historical ] ; then
 	    # Modify co2_ppm in config.def only for historical run
-	    # If not historical run, keep co2_ppm value set earlier by LMDZ_sed
-	LMDZ_sed config.def co2_ppm     ${CO2_ppm}
+	    # If not historical run, keep co2_ppm value set earlier by IGCM_comp_modifyDefFile
+	IGCM_comp_modifyDefFile nonblocker config.def co2_ppm     ${CO2_ppm}
     fi
     IGCM_debug_PopStack "ATM_Carbon_Update"
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/orchidee.driver
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/orchidee.driver	(revision 2332)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/orchidee.driver	(revision 2333)
@@ -25,5 +25,5 @@
     if [ ! -f ${1} ] ; then
 	echo "WARNING : ${1} file does not exist. Following will not be done : ORCHIDEE_sed : ${1} ${2} ${3} ${4}"
-        IGCM_debug_PopStack "LMDZ_sed"
+        IGCM_debug_PopStack "ORCHIDEE_sed_xml"
 	return
     fi
@@ -65,4 +65,11 @@
 {
     IGCM_debug_PushStack "SRF_Update"
+
+    # Activate STOMATE if the compontent SBG=stomate is set in config.card
+    if [ X${config_ListOfComponents_SBG} = Xstomate ] ; then
+	IGCM_comp_modifyDefFile blocker orchidee.def STOMATE_OK_STOMATE y
+    else
+	IGCM_comp_modifyDefFile blocker orchidee.def STOMATE_OK_STOMATE n
+    fi
 
     typeset SECHIBA_WRITE_STEP
@@ -164,11 +171,10 @@
 	(( SECHIBA_WRITE_STEP = 0 ))
     fi
-
-    ORCHIDEE_sed WRITE_STEP ${SECHIBA_WRITE_STEP}
-    ORCHIDEE_sed SECHIBA_HISTLEVEL ${orchidee_UserChoices_sechiba_LEVEL}
+    IGCM_comp_modifyDefFile nonblocker orchidee.def WRITE_STEP ${SECHIBA_WRITE_STEP}
+    IGCM_comp_modifyDefFile nonblocker orchidee.def SECHIBA_HISTLEVEL ${orchidee_UserChoices_sechiba_LEVEL}
 
     # Outputs HF in HISTFILE2 if required
     if [ X${SRF_ok_hf} = Xy ] ; then
-	ORCHIDEE_sed SECHIBA_HISTFILE2 y
+	IGCM_comp_modifyDefFile nonblocker orchidee.def SECHIBA_HISTFILE2 y
 	if [ X${orchidee_UserChoices_XIOS} = Xy ] ; then
 	    ORCHIDEE_sed_xml file_def_orchidee.xml sechiba2 enabled .TRUE. 
@@ -177,25 +183,25 @@
 	fi
     else
-	ORCHIDEE_sed SECHIBA_HISTFILE2 n
-    fi
-    ORCHIDEE_sed SECHIBA_HISTLEVEL2 1
-    ORCHIDEE_sed WRITE_STEP2 10800.0
+	IGCM_comp_modifyDefFile nonblocker orchidee.def SECHIBA_HISTFILE2 n
+    fi
+    IGCM_comp_modifyDefFile nonblocker orchidee.def SECHIBA_HISTLEVEL2 1
+    IGCM_comp_modifyDefFile nonblocker orchidee.def WRITE_STEP2 10800.0
 
     if ( [ ${CumulPeriod} -ne 1 ] || [ "${config_SRF_Restart}" != "n" ] ) ; then
-	ORCHIDEE_sed SECHIBA_restart_in sechiba_rest_in.nc
-    else
-	ORCHIDEE_sed SECHIBA_restart_in NONE
+	IGCM_comp_modifyDefFile blocker orchidee.def SECHIBA_restart_in sechiba_rest_in.nc
+    else
+	IGCM_comp_modifyDefFile blocker orchidee.def SECHIBA_restart_in NONE
     fi
 
 # Modify in orchidee.def VEGET_UPDATE and LAND_COVER_CHANGE if they are set in orchidee.card section UserChoices
     if [ ! X${orchidee_UserChoices_VEGET_UPDATE} = X ] ; then
-	ORCHIDEE_sed VEGET_UPDATE   ${orchidee_UserChoices_VEGET_UPDATE}
-    else
-	ORCHIDEE_sed VEGET_UPDATE 0Y
+	IGCM_comp_modifyDefFile blocker orchidee.def VEGET_UPDATE   ${orchidee_UserChoices_VEGET_UPDATE}
+    else
+	IGCM_comp_modifyDefFile blocker orchidee.def VEGET_UPDATE 0Y
     fi
     if [ ! X${orchidee_UserChoices_LAND_COVER_CHANGE} = X ] ; then
-	ORCHIDEE_sed LAND_COVER_CHANGE ${orchidee_UserChoices_LAND_COVER_CHANGE}
-    else
-	ORCHIDEE_sed LAND_COVER_CHANGE n
+	IGCM_comp_modifyDefFile blocker orchidee.def LAND_COVER_CHANGE ${orchidee_UserChoices_LAND_COVER_CHANGE}
+    else
+	IGCM_comp_modifyDefFile blocker orchidee.def LAND_COVER_CHANGE n
     fi
 
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/stomate.driver
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/stomate.driver	(revision 2332)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/stomate.driver	(revision 2333)
@@ -129,5 +129,4 @@
     esac
 
-    ORCHIDEE_sed STOMATE_OK_STOMATE y
 
 #Use of XIOS library only
@@ -137,12 +136,12 @@
     fi
 
-    ORCHIDEE_sed STOMATE_HIST_DT ${STOMATE_WRITE_STEP}
-    ORCHIDEE_sed STOMATE_HISTLEVEL ${stomate_UserChoices_stomate_LEVEL}
+    IGCM_comp_modifyDefFile nonblocker orchidee.def STOMATE_HIST_DT ${STOMATE_WRITE_STEP}
+    IGCM_comp_modifyDefFile nonblocker orchidee.def STOMATE_HISTLEVEL ${stomate_UserChoices_stomate_LEVEL}
 
     if ( [ ${CumulPeriod} -eq 1 ] && [ "${config_SBG_Restart}" = "n" ] ) ; then
 	echo "STOMATE : without restart"
-	ORCHIDEE_sed STOMATE_RESTART_FILEIN NONE
+	IGCM_comp_modifyDefFile blocker orchidee.def STOMATE_RESTART_FILEIN NONE
     else
-	ORCHIDEE_sed STOMATE_RESTART_FILEIN stomate_rest_in.nc
+	IGCM_comp_modifyDefFile blocker orchidee.def STOMATE_RESTART_FILEIN stomate_rest_in.nc
     fi
 
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/orchidee.def_CWRR
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/orchidee.def_CWRR	(revision 2332)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/orchidee.def_CWRR	(revision 2333)
@@ -318,6 +318,6 @@
 # Activate STOMATE?
 # set to TRUE if STOMATE is to be activated
-# STOMATE_OK_STOMATE=_AUTO_ : will be set to y if stomate component SBG is activated in config.card
-STOMATE_OK_STOMATE = n
+# STOMATE_OK_STOMATE will be set to y or n by orchidee.driver depending on activation of stomate component SBG in config.card
+STOMATE_OK_STOMATE = _AUTO_ 
 # default = n
 
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/orchidee.def_Choi
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/orchidee.def_Choi	(revision 2332)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/orchidee.def_Choi	(revision 2333)
@@ -318,6 +318,6 @@
 # Activate STOMATE?
 # set to TRUE if STOMATE is to be activated
-# STOMATE_OK_STOMATE=_AUTO_ : will be set to y if stomate component SBG is activated in config.card
-STOMATE_OK_STOMATE = n
+# STOMATE_OK_STOMATE will be set to y or n by orchidee.driver depending on activation of stomate component SBG in config.card
+STOMATE_OK_STOMATE = _AUTO_ 
 # default = n
 